# Call CamiTK CMake Macro to define the action
camitk_extension(ACTION_EXTENSION
                 NEEDS_VIEWER_EXTENSION medicalimageviewer interactivegeometryviewer
# Automatic test are disable for this extension because these actions directly manipulates the camera of the 3D
# viewer. During automatic test no viewers are loaded, therefore resulting in a crash.
# TODO Create a specific "TEST_REQUIRES_VIEWER_EXTENSIONS viewer1 viewer2..." option
# that will instructs camitk-testaction to load the specified viewer extensions before applying the actions
#                  ENABLE_AUTO_TEST
#                  TEST_FILES Mesh.off BigEndian.hdr BigEndian.img BigEndianCompressed1.hdr BigEndianCompressed1.img biorad.pic brain.mha cthead1.lsm LittleEndian1.hdr LittleEndian1.img LittleEndianCompressed1.hdr LittleEndianCompressed1.img LittleEndianZ1.hdr mini-complex-slow1.nrrd mini-ten-nomask-slow1.nrrd mini-vector-slow1.nrrd ramp1.gipl
)
